SSO Events

An SsoEvent is a log record for SSO-related activity such as LDAP syncs and SSO login attempts.

List SSO Events

Endpoint

GET/sso_events

Return Object

SsoEvent[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/sso_events.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "event_type": "example",
    "status": "example",
    "body": "example",
    "event_errors": [
      "example"
    ],
    "created_at": "2000-01-01T01:00:00Z",
    "body_url": "example",
    "user_id": 1,
    "username": "example",
    "idp_uid": "example",
    "provider": "example",
    "provider_label": "example",
    "ip": "example",
    "region": "example"
  }
]

Show SSO Event

Endpoint

GET/sso_events/{id}

Return Object

SsoEvent

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Sso Event ID.

Example Request

curl https://app.files.com/api/rest/v1/sso_events/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "event_errors": [
    "example"
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example",
  "user_id": 1,
  "username": "example",
  "idp_uid": "example",
  "provider": "example",
  "provider_label": "example",
  "ip": "example",
  "region": "example"
}

The SsoEvent Object

Some of the endpoints above return a SsoEvent object. The attributes of this object are listed below.

AttributeDescription
id
int64
Event ID
event_type
string
Type of SSO event being recorded.
Possible values: ldap_sync, ldap_login, saml_login
status
string
Status of event.
Possible values: success, failure, partial_failure, in_progress, skipped
body
string
Event body.
event_errors
array(string)
Event errors.
created_at
date-time
Event create date/time.
body_url
string
Link to log file.
user_id
int64
User ID.
username
string
Username on Files.com for the SSO login attempt.
idp_uid
string
Identity Provider UID for the SSO login attempt.
provider
string
SSO provider for the SSO login attempt.
provider_label
string
SSO provider label for the SSO login attempt.
ip
string
IP address for the SSO login attempt.
region
string
Region for the SSO login attempt.

Example SsoEvent Object

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "event_errors": [
    "example"
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example",
  "user_id": 1,
  "username": "example",
  "idp_uid": "example",
  "provider": "example",
  "provider_label": "example",
  "ip": "example",
  "region": "example"
}